Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
- Arguments
- ByteArrayReader
- Classfile
- Classfiles
- CodeWriter
- Decode
- JavaWriter
- Main
- MetaParser
- Properties

c

scala.tools.scalap

# Arguments 

###
Companion object Arguments

#### class Arguments extends AnyRef

Source
  Arguments.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Arguments
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Arguments()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Arguments to any2stringadd[Arguments] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Arguments, B)
   Implicit
     This member is added by an implicit conversion from Arguments to ArrowAssoc[Arguments] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def addArgument(option: String, arg: String): Unit
7.  def addBinding(tag: String, binding: (String, String)): Unit
8.  def addBinding(tag: String, key: String, value: String): Unit
9.  def addOption(option: String): Unit
10.  def addOther(arg: String): Unit
11.  def addPrefixed(prefix: String, arg: String): Unit
12.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
13.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
14.  def contains(option: String): Boolean
15.  def containsSuffix(prefix: String, suffix: String): Boolean
16.  def ensuring(cond: (Arguments) ⇒ Boolean, msg: ⇒ Any): Arguments
    Implicit
      This member is added by an implicit conversion from Arguments to Ensuring[Arguments] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: (Arguments) ⇒ Boolean): Arguments
    Implicit
      This member is added by an implicit conversion from Arguments to Ensuring[Arguments] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean, msg: ⇒ Any): Arguments
    Implicit
      This member is added by an implicit conversion from Arguments to Ensuring[Arguments] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  def ensuring(cond: Boolean): Arguments
    Implicit
      This member is added by an implicit conversion from Arguments to Ensuring[Arguments] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
20.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
22.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
23.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Arguments to StringFormat[Arguments] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
24.  def getArgument(option: String): Option[String]
25.  def getBinding(option: String, key: String): Option[String]
26.  def getBindings(tag: String): Map[String, String]
27.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
28.  def getOthers: List[String]
29.  def getSuffixes(prefix: String): Set[String]
30.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
31.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
32.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
33.  final def notify(): Unit
    Definition Classes
      AnyRef
34.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
35.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
36.  def toString(): String
    Definition Classes
      AnyRef → Any
37.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
39.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
40.  def →[B](y: B): (Arguments, B)
    Implicit
      This member is added by an implicit conversion from Arguments to ArrowAssoc[Arguments] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Arguments to any2stringadd[Arguments]

### Inherited by implicit conversion StringFormat from Arguments to StringFormat[Arguments]

### Inherited by implicit conversion Ensuring from Arguments to Ensuring[Arguments]

### Inherited by implicit conversion ArrowAssoc from Arguments to ArrowAssoc[Arguments]

### Ungrouped